#ifndef macrolib_ibis_io_opensink_ibis_1eq1uk_INCLUDED
#define macrolib_ibis_io_opensink_ibis_1eq1uk_INCLUDED
#include "macrolib_ibis_io_opensink.hpp"
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_io_opensink_ibis_1eq1uk.hpp"
#endif
#ifndef macrolib_ibis_io_opensink_ibis_1eq1uk_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_io_opensink_ibis_1eq1uk_export __declspec(dllimport)
#  else
#    define macrolib_ibis_io_opensink_ibis_1eq1uk_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
namespace MACROLIB {
class macrolib_ibis_io_opensink_ibis_1eq1uk_export IBIS_IO_OPENSINK_IBIS_1EQ1UK : public IBIS_IO_OPENSINK {
public:
ELECTRICAL_SYSTEMS_VOLTAGE VPC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPC;
ELECTRICAL_SYSTEMS_CURRENT IPC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPC;
ELECTRICAL_SYSTEMS_VOLTAGE VPD;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPD;
ELECTRICAL_SYSTEMS_CURRENT IPD;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPD;
ELECTRICAL_SYSTEMS_VOLTAGE VGC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VGC;
ELECTRICAL_SYSTEMS_CURRENT IGC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IGC;
ELECTRICAL_SYSTEMS_VOLTAGE VIN;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VIN;
ELECTRICAL_SYSTEMS_VOLTAGE VEN;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VEN;
STANDARD_INTEGER PD_ON;
VHDL_Dispatcher *PD_ON_dispatchers;
STANDARD_INTEGER PD_OFF;
VHDL_Dispatcher *PD_OFF_dispatchers;
STANDARD_INTEGER EVENTSTATE;
VHDL_Dispatcher *EVENTSTATE_dispatchers;
STANDARD_REAL TPD_OFF_EVENT;
VHDL_Dispatcher *TPD_OFF_EVENT_dispatchers;
STANDARD_REAL TPD_ON_EVENT;
VHDL_Dispatcher *TPD_ON_EVENT_dispatchers;
STANDARD_REAL KPD;
STANDARD_REAL mM1_KPD;
double LOOKUP_REAL_REAL_VECTOR_REAL_VECTOR_STRING_REAL(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inParent, const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_STRING &);
long FINDCOMMONLENGTH_REAL_REAL_VECTOR_REAL_VECTOR_INTEGER(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inParent, const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &);
STANDARD_REAL_VECTOR COMMONTIME_INTEGER_REAL_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inParent, const long , const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &);
const STANDARD_INTEGER COMMONLENGTH;
class macrolib_ibis_io_opensink_ibis_1eq1uk_export K_ELEMENTS {
public:
T_B3CIHandle mHandle;
long mNode;
protected:
long mValue;
long mLastEventValue;
long mLastEventDeltaCycle;
T_B3CITimeL mLastEventTime;
T_B3CITimeL mLastActiveTime;
unsigned mDenseArray : 1;
public:
K_ELEMENTS();
K_ELEMENTS(const K_ELEMENTS&);
K_ELEMENTS(long);
K_ELEMENTS &operator =(const K_ELEMENTS&);
K_ELEMENTS &operator =(long);
operator long() const { return mValue; }
bool STABLE(T_B3CITimeL) const;
bool QUIET(T_B3CITimeL) const;
bool EVENT(void) const;
T_B3CITimeL LAST_EVENT_TIME(void) const;
T_B3CITimeA LAST_EVENT_REAL(void) const;
T_B3CITimeL LAST_ACTIVE(void) const;
long LAST_VALUE(void) const { return mLastEventValue; };
static long VALUE(const char *);
static const char *IMAGE(long);
bool Assign(long);
long GetValue(void) const { return mValue; };
unsigned long GetValue(char *, unsigned long) const;
bool IsDense(void) const { return mDenseArray; };
};
static long K_ELEMENTS_LEFT(void) { return 0L; }
static long K_ELEMENTS_RIGHT(void) { return 2L; }
static long K_ELEMENTS_HIGH(void) { return 2L; }
static long K_ELEMENTS_LOW(void) { return 0L; }
static bool K_ELEMENTS_ASCENDING(void) { return true; }

static long K_ELEMENTS_POS(long inValue) { return inValue; }
static long K_ELEMENTS_VAL(long);
static long IBIS_IO_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_SUCC(long inValue) { return K_ELEMENTS_VAL(inValue + 1); }
static long IBIS_IO_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_PRED(long inValue) { return K_ELEMENTS_VAL(inValue - 1); }
static long IBIS_IO_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_LEFTOF(long inValue) { return K_ELEMENTS_VAL(inValue + 1); }
static long IBIS_IO_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_RIGHTOF(long inValue) { return K_ELEMENTS_VAL(inValue - 1); }
class macrolib_ibis_io_opensink_ibis_1eq1uk_export K_ELEMENTS_RANGE {
public:
static long LEFT(void) { return 0L /* TCM */; }
static long RIGHT(void) { return 2L /* KF1 */; }
static bool ASCENDING(void) { return true; }
};
typedef T_B3CIHandle K_ELEMENTS_DriverHandle;
static short K_ELEMENTS_Assign(T_B3CIHandle,   const T_B3CIValue *);
static short K_ELEMENTS_GetValue(T_B3CIHandle, T_B3CIValue *);
static unsigned long K_ELEMENTS_GetStringValue(T_B3CIHandle, char *, unsigned long);
static bool eq_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 == inArg2); }
static bool ne_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 != inArg2); }
static bool gt_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 > inArg2); }
static bool ge_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 >= inArg2); }
static bool lt_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 < inArg2); }
static bool le_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 <= inArg2); }
DefineArrayArray(K_TABLES_TYPE, STANDARD_REAL_VECTOR, K_ELEMENTS_RANGE, macrolib_ibis_io_opensink_ibis_1eq1uk_export);
typedef STANDARD_REAL_VECTOR_DriverHandle *K_TABLES_TYPE_DriverHandle;
typedef STANDARD_REAL_VECTOR_MatrixPointer *K_TABLES_TYPE_MatrixPointer;
static bool eq_K_TABLES_TYPE_K_TABLES_TYPE_BOOLEAN(const K_TABLES_TYPE &L, const K_TABLES_TYPE &R) { return (L == R); }
static bool ne_K_TABLES_TYPE_K_TABLES_TYPE_BOOLEAN(const K_TABLES_TYPE &L, const K_TABLES_TYPE &R) { return (L != R); }
static unsigned long K_TABLES_TYPE_GetStringValue(T_B3CIHandle, char *, unsigned long);
DefineArrayArray(K_TABLES_TYPE_QDELAYED_LIST, STANDARD_REAL_VECTOR_QDELAYED_LIST, K_ELEMENTS_RANGE, macrolib_ibis_io_opensink_ibis_1eq1uk_export);
K_TABLES_TYPE COEFF_INTEGER_REAL_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_K_TABLES_TYPE(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inParent, const long , const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const double , const double , const double , const double , const double , const double , const double , const double );
K_TABLES_TYPE KTABLES;
void *mCG1;
unsigned mF2 : 1;
unsigned mF3 : 1;
short mP1();
static short smP1(IBIS_IO_OPENSINK_IBIS_1EQ1UK *);
void *mCG4;
unsigned mF4 : 1;
short mP4();
static short smP4(IBIS_IO_OPENSINK_IBIS_1EQ1UK *);
unsigned mF5 : 1;
short mP5();
static short smP5(IBIS_IO_OPENSINK_IBIS_1EQ1UK *);
unsigned mF6 : 1;
short mP6();
static short smP6(IBIS_IO_OPENSINK_IBIS_1EQ1UK *);
STANDARD_INTEGER_DriverHandle p1_EVENTSTATE_driver;
STANDARD_INTEGER_DriverHandle p4_PD_ON_driver;
STANDARD_INTEGER_DriverHandle p4_PD_OFF_driver;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_through_qPU_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_through_qPD_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPD_REF_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qPAD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tIN_D_through_qIN_D_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tIN_D_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tEN_D_through_qEN_D_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tEN_D_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qPC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qGC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportGC_REF_through_qIGC_smp;
double *exp_PU_REF_7[7];
double *exp_PD_REF_8[7];
double *exp_PAD_9[7];
double *exp_IN_D_10[7];
double *exp_EN_D_11[7];
double *exp_PC_REF_12[7];
double *exp_GC_REF_13[7];
STANDARD_BOOLEAN_DriverHandle VIN_ABOVE_14_driver;
STANDARD_BOOLEAN_DriverHandle VIN_ABOVE_15_driver;
STANDARD_BOOLEAN_DriverHandle VEN_ABOVE_16_driver;
STANDARD_BOOLEAN_DriverHandle VEN_ABOVE_17_driver;
#ifndef STANDARD_REAL_e19_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e19_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e19_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef STANDARD_REAL_e20_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e20_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e20_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef STANDARD_REAL_e21_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e21_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e21_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef STANDARD_REAL_e22_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e22_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e22_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef STANDARD_REAL_e23_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e23_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e23_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef STANDARD_REAL_e24_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e24_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e24_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef STANDARD_REAL_e25_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e25_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e25_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef STANDARD_REAL_e26_q18_STANDARD_REAL_Identifier
#define STANDARD_REAL_e26_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer STANDARD_REAL_e26_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e28_q27_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e28_q27_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e28_q27_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e28_q29_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e28_q29_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e28_q29_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e31_q30_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e31_q30_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e31_q30_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e31_q18_STANDARD_REAL_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e31_q18_STANDARD_REAL_Identifier
typedef STANDARD_REAL_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e31_q18_STANDARD_REAL_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e31_q32_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e31_q32_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e31_q32_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_VPC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_VPD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_PD_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_VGC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_GC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_VIN_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_IN_D_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_ELECTRICAL_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VEN_across_VEN_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VEN_across_EN_D_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VEN_across_ELECTRICAL_REF_smp;
STANDARD_REAL_e19_q18_STANDARD_REAL_MatrixPointer e19_KPDq18_smp;
STANDARD_REAL_e20_q18_STANDARD_REAL_MatrixPointer e20_KPDq18_smp;
STANDARD_REAL_e21_q18_STANDARD_REAL_MatrixPointer e21_KPDq18_smp;
STANDARD_REAL_e22_q18_STANDARD_REAL_MatrixPointer e22_KPDq18_smp;
STANDARD_REAL_e23_q18_STANDARD_REAL_MatrixPointer e23_KPDq18_smp;
STANDARD_REAL_e24_q18_STANDARD_REAL_MatrixPointer e24_KPDq18_smp;
STANDARD_REAL_e25_q18_STANDARD_REAL_MatrixPointer e25_KPDq18_smp;
STANDARD_REAL_e26_q18_STANDARD_REAL_MatrixPointer e26_KPDq18_smp;
ELECTRICAL_SYSTEMS_CURRENT_e28_q27_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e28_IPCq27_smp;
ELECTRICAL_SYSTEMS_CURRENT_e28_q29_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e28_VPCq29_smp;
ELECTRICAL_SYSTEMS_CURRENT_e31_q30_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e31_IPDq30_smp;
ELECTRICAL_SYSTEMS_CURRENT_e31_q18_STANDARD_REAL_MatrixPointer e31_KPDq18_smp;
ELECTRICAL_SYSTEMS_CURRENT_e31_q32_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e31_VPDq32_smp;
ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e34_IGCq33_smp;
ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e34_VGCq35_smp;
static short smD_STANDARD_DOMAIN(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_STANDARD_DOMAIN();
static short smD_VIN_ABOVE_14(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_VIN_ABOVE_14();
static short smD_VIN_ABOVE_15(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_VIN_ABOVE_15();
static short smD_VEN_ABOVE_16(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_VEN_ABOVE_16();
static short smD_VEN_ABOVE_17(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_VEN_ABOVE_17();
static short smD_EVENTSTATE(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_EVENTSTATE();
static short smD_PD_ON(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_PD_ON();
static short smD_PD_OFF(IBIS_IO_OPENSINK_IBIS_1EQ1UK *inInstance);
short mD_PD_OFF();
STANDARD_BOOLEAN VIN_ABOVE_14; 
VHDL_Dispatcher *VIN_ABOVE_14_dispatchers; 
bool VIN_ABOVE_14_Control();
bool VIN_ABOVE_14_Initialize(double *);
STANDARD_BOOLEAN VIN_ABOVE_15; 
VHDL_Dispatcher *VIN_ABOVE_15_dispatchers; 
bool VIN_ABOVE_15_Control();
bool VIN_ABOVE_15_Initialize(double *);
STANDARD_BOOLEAN VEN_ABOVE_16; 
VHDL_Dispatcher *VEN_ABOVE_16_dispatchers; 
bool VEN_ABOVE_16_Control();
bool VEN_ABOVE_16_Initialize(double *);
STANDARD_BOOLEAN VEN_ABOVE_17; 
VHDL_Dispatcher *VEN_ABOVE_17_dispatchers; 
bool VEN_ABOVE_17_Control();
bool VEN_ABOVE_17_Initialize(double *);
short Elaborate(const char *, long);
short ElaborateDrivers(void);
virtual short ElaborateConfiguration(const char *, long);
short Initialize(long, double *);
short Finalize(void);
short AmsLink(long, long **);
short AmsBim(long, TRANS_PARAM_BIM *, long **);
short AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
void CreateDispatchers(void);
void DeleteDispatchers(void);
public:
IBIS_IO_OPENSINK_IBIS_1EQ1UK();
virtual ~IBIS_IO_OPENSINK_IBIS_1EQ1UK();
};
extern "C" macrolib_ibis_io_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_IO_OPENSINK_IBIS_1EQ1UK_Elaborate(T_B3CIHandle *, const char *, long);
extern "C" macrolib_ibis_io_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_IO_OPENSINK_IBIS_1EQ1UK_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_io_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_IO_OPENSINK_IBIS_1EQ1UK_Finalize(T_B3CIHandle inInstance);
extern "C" macrolib_ibis_io_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_IO_OPENSINK_IBIS_1EQ1UK_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_io_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_IO_OPENSINK_IBIS_1EQ1UK_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_io_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_IO_OPENSINK_IBIS_1EQ1UK_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_io_opensink_ibis_1eq1uk_INCLUDED */
