#ifndef datalib_no_odt_data_INCLUDED
#define datalib_no_odt_data_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "datalib_no_odt_data.hpp"
#endif
#ifndef datalib_no_odt_data_export
#  if defined(_WIN32) && !defined(unix)
#    define datalib_no_odt_data_export __declspec(dllimport)
#  else
#    define datalib_no_odt_data_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
namespace DATALIB
{
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_IPC_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VPC_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_IPU_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VPU_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_IPD_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VPD_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_IGC_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VGC_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VR1_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_TR1_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VR2_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_TR2_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VF1_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_TF1_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_VF2_FILE_DATA;
extern datalib_no_odt_data_export STANDARD_REAL_VECTOR NO_ODT_DATA_TF2_FILE_DATA;
extern "C" datalib_no_odt_data_export short DATALIB_NO_ODT_DATA_Elaborate(long);
extern "C" datalib_no_odt_data_export short DATALIB_NO_ODT_DATA_AmsLink(long, long **);
extern "C" datalib_no_odt_data_export short DATALIB_NO_ODT_DATA_AmsBim(long, TRANS_PARAM_BIM *, long **);
extern "C" datalib_no_odt_data_export short DATALIB_NO_ODT_DATA_AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
extern "C" datalib_no_odt_data_export void DATALIB_NO_ODT_DATA_Initialize(long);
extern "C" datalib_no_odt_data_export void DATALIB_NO_ODT_DATA_Finalize(void);
}
#endif /* datalib_no_odt_data_INCLUDED */
